require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_LINUX_SUNRPC_GSS_ERR_H)) {
    eval 'sub _LINUX_SUNRPC_GSS_ERR_H () {1;}' unless defined(&_LINUX_SUNRPC_GSS_ERR_H);
    if(defined(&__KERNEL__)) {
	eval 'sub GSS_C_DELEG_FLAG () {1;}' unless defined(&GSS_C_DELEG_FLAG);
	eval 'sub GSS_C_MUTUAL_FLAG () {2;}' unless defined(&GSS_C_MUTUAL_FLAG);
	eval 'sub GSS_C_REPLAY_FLAG () {4;}' unless defined(&GSS_C_REPLAY_FLAG);
	eval 'sub GSS_C_SEQUENCE_FLAG () {8;}' unless defined(&GSS_C_SEQUENCE_FLAG);
	eval 'sub GSS_C_CONF_FLAG () {16;}' unless defined(&GSS_C_CONF_FLAG);
	eval 'sub GSS_C_INTEG_FLAG () {32;}' unless defined(&GSS_C_INTEG_FLAG);
	eval 'sub GSS_C_ANON_FLAG () {64;}' unless defined(&GSS_C_ANON_FLAG);
	eval 'sub GSS_C_PROT_READY_FLAG () {128;}' unless defined(&GSS_C_PROT_READY_FLAG);
	eval 'sub GSS_C_TRANS_FLAG () {256;}' unless defined(&GSS_C_TRANS_FLAG);
	eval 'sub GSS_C_BOTH () {0;}' unless defined(&GSS_C_BOTH);
	eval 'sub GSS_C_INITIATE () {1;}' unless defined(&GSS_C_INITIATE);
	eval 'sub GSS_C_ACCEPT () {2;}' unless defined(&GSS_C_ACCEPT);
	eval 'sub GSS_C_GSS_CODE () {1;}' unless defined(&GSS_C_GSS_CODE);
	eval 'sub GSS_C_MECH_CODE () {2;}' unless defined(&GSS_C_MECH_CODE);
	eval 'sub GSS_C_QOP_DEFAULT () {0;}' unless defined(&GSS_C_QOP_DEFAULT);
	eval 'sub GSS_C_INDEFINITE () {( 0xffffffff);}' unless defined(&GSS_C_INDEFINITE);
	eval 'sub GSS_S_COMPLETE () {0;}' unless defined(&GSS_S_COMPLETE);
	eval 'sub GSS_C_CALLING_ERROR_OFFSET () {24;}' unless defined(&GSS_C_CALLING_ERROR_OFFSET);
	eval 'sub GSS_C_ROUTINE_ERROR_OFFSET () {16;}' unless defined(&GSS_C_ROUTINE_ERROR_OFFSET);
	eval 'sub GSS_C_SUPPLEMENTARY_OFFSET () {0;}' unless defined(&GSS_C_SUPPLEMENTARY_OFFSET);
	eval 'sub GSS_C_CALLING_ERROR_MASK () {( 0377);}' unless defined(&GSS_C_CALLING_ERROR_MASK);
	eval 'sub GSS_C_ROUTINE_ERROR_MASK () {( 0377);}' unless defined(&GSS_C_ROUTINE_ERROR_MASK);
	eval 'sub GSS_C_SUPPLEMENTARY_MASK () {( 0177777);}' unless defined(&GSS_C_SUPPLEMENTARY_MASK);
	eval 'sub GSS_CALLING_ERROR {
	    local($x) = @_;
    	    eval q((($x) & ( &GSS_C_CALLING_ERROR_MASK <<  &GSS_C_CALLING_ERROR_OFFSET)));
	}' unless defined(&GSS_CALLING_ERROR);
	eval 'sub GSS_ROUTINE_ERROR {
	    local($x) = @_;
    	    eval q((($x) & ( &GSS_C_ROUTINE_ERROR_MASK <<  &GSS_C_ROUTINE_ERROR_OFFSET)));
	}' unless defined(&GSS_ROUTINE_ERROR);
	eval 'sub GSS_SUPPLEMENTARY_INFO {
	    local($x) = @_;
    	    eval q((($x) & ( &GSS_C_SUPPLEMENTARY_MASK <<  &GSS_C_SUPPLEMENTARY_OFFSET)));
	}' unless defined(&GSS_SUPPLEMENTARY_INFO);
	eval 'sub GSS_ERROR {
	    local($x) = @_;
    	    eval q((($x) & (( &GSS_C_CALLING_ERROR_MASK <<  &GSS_C_CALLING_ERROR_OFFSET) | ( &GSS_C_ROUTINE_ERROR_MASK <<  &GSS_C_ROUTINE_ERROR_OFFSET))));
	}' unless defined(&GSS_ERROR);
	eval 'sub GSS_S_CALL_INACCESSIBLE_READ () {(( 1) <<  &GSS_C_CALLING_ERROR_OFFSET);}' unless defined(&GSS_S_CALL_INACCESSIBLE_READ);
	eval 'sub GSS_S_CALL_INACCESSIBLE_WRITE () {(( 2) <<  &GSS_C_CALLING_ERROR_OFFSET);}' unless defined(&GSS_S_CALL_INACCESSIBLE_WRITE);
	eval 'sub GSS_S_CALL_BAD_STRUCTURE () {(( 3) <<  &GSS_C_CALLING_ERROR_OFFSET);}' unless defined(&GSS_S_CALL_BAD_STRUCTURE);
	eval 'sub GSS_S_BAD_MECH () {(( 1) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_BAD_MECH);
	eval 'sub GSS_S_BAD_NAME () {(( 2) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_BAD_NAME);
	eval 'sub GSS_S_BAD_NAMETYPE () {(( 3) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_BAD_NAMETYPE);
	eval 'sub GSS_S_BAD_BINDINGS () {(( 4) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_BAD_BINDINGS);
	eval 'sub GSS_S_BAD_STATUS () {(( 5) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_BAD_STATUS);
	eval 'sub GSS_S_BAD_SIG () {(( 6) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_BAD_SIG);
	eval 'sub GSS_S_NO_CRED () {(( 7) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_NO_CRED);
	eval 'sub GSS_S_NO_CONTEXT () {(( 8) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_NO_CONTEXT);
	eval 'sub GSS_S_DEFECTIVE_TOKEN () {(( 9) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_DEFECTIVE_TOKEN);
	eval 'sub GSS_S_DEFECTIVE_CREDENTIAL () {(( 10) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_DEFECTIVE_CREDENTIAL);
	eval 'sub GSS_S_CREDENTIALS_EXPIRED () {(( 11) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_CREDENTIALS_EXPIRED);
	eval 'sub GSS_S_CONTEXT_EXPIRED () {(( 12) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_CONTEXT_EXPIRED);
	eval 'sub GSS_S_FAILURE () {(( 13) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_FAILURE);
	eval 'sub GSS_S_BAD_QOP () {(( 14) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_BAD_QOP);
	eval 'sub GSS_S_UNAUTHORIZED () {(( 15) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_UNAUTHORIZED);
	eval 'sub GSS_S_UNAVAILABLE () {(( 16) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_UNAVAILABLE);
	eval 'sub GSS_S_DUPLICATE_ELEMENT () {(( 17) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_DUPLICATE_ELEMENT);
	eval 'sub GSS_S_NAME_NOT_MN () {(( 18) <<  &GSS_C_ROUTINE_ERROR_OFFSET);}' unless defined(&GSS_S_NAME_NOT_MN);
	eval 'sub GSS_S_CONTINUE_NEEDED () {(1<< ( &GSS_C_SUPPLEMENTARY_OFFSET + 0));}' unless defined(&GSS_S_CONTINUE_NEEDED);
	eval 'sub GSS_S_DUPLICATE_TOKEN () {(1<< ( &GSS_C_SUPPLEMENTARY_OFFSET + 1));}' unless defined(&GSS_S_DUPLICATE_TOKEN);
	eval 'sub GSS_S_OLD_TOKEN () {(1<< ( &GSS_C_SUPPLEMENTARY_OFFSET + 2));}' unless defined(&GSS_S_OLD_TOKEN);
	eval 'sub GSS_S_UNSEQ_TOKEN () {(1<< ( &GSS_C_SUPPLEMENTARY_OFFSET + 3));}' unless defined(&GSS_S_UNSEQ_TOKEN);
	eval 'sub GSS_S_GAP_TOKEN () {(1<< ( &GSS_C_SUPPLEMENTARY_OFFSET + 4));}' unless defined(&GSS_S_GAP_TOKEN);
	eval 'sub GSS_CALLING_ERROR_FIELD {
	    local($x) = @_;
    	    eval q(((($x) >>  &GSS_C_CALLING_ERROR_OFFSET) &  &GSS_C_CALLING_ERROR_MASK));
	}' unless defined(&GSS_CALLING_ERROR_FIELD);
	eval 'sub GSS_ROUTINE_ERROR_FIELD {
	    local($x) = @_;
    	    eval q(((($x) >>  &GSS_C_ROUTINE_ERROR_OFFSET) &  &GSS_C_ROUTINE_ERROR_MASK));
	}' unless defined(&GSS_ROUTINE_ERROR_FIELD);
	eval 'sub GSS_SUPPLEMENTARY_INFO_FIELD {
	    local($x) = @_;
    	    eval q(((($x) >>  &GSS_C_SUPPLEMENTARY_OFFSET) &  &GSS_C_SUPPLEMENTARY_MASK));
	}' unless defined(&GSS_SUPPLEMENTARY_INFO_FIELD);
	eval 'sub GSS_S_CRED_UNAVAIL () { &GSS_S_FAILURE;}' unless defined(&GSS_S_CRED_UNAVAIL);
    }
}
1;
